#!/usr/bin/perl

use warnings;
use strict;

use DBI;

if (-f 'tasks.db') {
    print <<'WARNING';
============================================
WARNING! WARNING! WARNING! WARNING! WARNING!
--------------------------------------------
 By continuing, you will be re-initializing
 the tasks database to its empty state.

    ALL PREVIOUS TASKS WILL BE REMOVED!

 If you want to keep prior values, archive
 the tasks.db file.

ONLY TYPE "YES" BELOW IF YOU REALLY MEAN IT!
============================================

WARNING

    print "Type YES to restart the tasks database: > ";
    my $yes = <STDIN>;
    chomp($yes);
    if ($yes eq 'YES') {
        print "Removing old database...\n";
        unlink 'tasks.db' or die "Can't remove old database: $!\n";
    }
    else {
        print "Database not removed.  Exiting...\n";
	exit(0);
    }
}

print "Creating new database...\n";

my $dbh = DBI->connect('DBI:SQLite:dbname=tasks.db','','')
    or die "Can't open database tasks: " . $DBI::errstr . "\n";

$dbh->do(<<'SQL') or die "Can't create categories table: " . $dbh->errstr . "\n";
CREATE TABLE tasks (
    taskid INTEGER PRIMARY KEY AUTOINCREMENT,
    summary TEXT,
    priority INTEGER,
    description TEXT,
    complete BOOLEAN DEFAULT 0,
    visible BOOLEAN DEFAULT 1
);
SQL

$dbh->disconnect;

print "Database setup complete.\n";
print "Changing permissions...";
chmod( 0777, 'tasks.db' ) or die "Can't change permissions: $!\n";
print "done!\n";

exit(0);
