#!/usr/bin/perl -w

use warnings;
use strict;

my @modules = qw(
    CGI
    common::sense
    DBI
    DBD::SQLite
    JSON
    JSON::XS
);

my $all_ok = 1;
foreach my $module (@modules) {
    my $rc = eval "use $module (); 1;";
    if (!$rc) {
        $all_ok = 0;
        print "Please install this module: $module\n";
    }
}

print "All ok!\n" if $all_ok;
